Xalan-Java 2.7.1: Class ToStream

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.serializer
Class ToStream

    java.lang.Object
      |
      +--org.apache.xml.serializer.SerializerBase
            |
            +--org.apache.xml.serializer.ToStream

Direct Known Subclasses:
  ToHTMLStream, ToTextStream, ToXMLStream

public abstract class ToStream
extends SerializerBase

This abstract class is a base class for other stream serializers (xml, html, text ...) that write output to a stream.

Usage:
  **For internal use only**

Fields inherited from class org.apache.xml.serializer.SerializerBase
`PKG_NAME, PKG_PATH`

Constructor Summary
`ToStream()` Default constructor

Method Summary
`boolean` | `addAttributeAlways(java.lang.String uri, java.lang.String localName, java.lang.String rawName, java.lang.String type, java.lang.String value, boolean xslAttribute)` Adds the given attribute to the set of attributes, even if there is no currently open element.
`void` | `addCdataSectionElements(java.lang.String URI_and_localNames)` Remembers the cdata sections specified in the cdata-section-elements by appending the given cdata section elements to the list.
`void` | `attributeDecl(java.lang.String eName, java.lang.String aName, java.lang.String type, java.lang.String valueDefault, java.lang.String value)` Report an attribute type declaration.
`void` | `characters(char[] chars, int start, int length)` Receive notification of character data.
`void` | `characters(java.lang.String s)` Receive notification of character data.
`void` | `comment(char[] ch, int start, int length)` Receive notification of an XML comment anywhere in the document.
`void` | `elementDecl(java.lang.String name, java.lang.String model)` Report an element type declaration.
`void` | `endCDATA()` Report the end of a CDATA section.
`void` | `endDTD()` Report the end of DTD declarations.
`void` | `endElement(java.lang.String name)` Receive notification of the end of an element.
`void` | `endElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String name)` Receive notification of the end of an element.
`void` | `endNonEscaping()` Ends an un-escaping section.
`void` | `endPrefixMapping(java.lang.String prefix)` End the scope of a prefix-URI Namespace mapping.
`void` | `externalEntityDecl(java.lang.String name, java.lang.String publicId, java.lang.String systemId)` Report a parsed external entity declaration.
`void` | `flushPending()` This method flushes any pending events, which can be startDocument() closing the opening tag of an element, or closing an open CDATA section.
`int` | `getIndentAmount()` Returns the m_indentAmount.
`java.util.Properties` | `getOutputFormat()` Returns the output format for this serializer.
`java.io.OutputStream` | `getOutputStream()` Get the output stream where the events will be serialized to.
`java.io.Writer` | `getWriter()` Get the character stream where the events will be serialized to.
`void` | `ignorableWhitespace(char[] ch, int start, int length)` Receive notification of ignorable whitespace in element content.
`void` | `internalEntityDecl(java.lang.String name, java.lang.String value)` Report an internal entity declaration.
`void` | `notationDecl(java.lang.String name, java.lang.String pubID, java.lang.String sysID)` If this method is called, the serializer is used as a DTDHandler, which changes behavior how the serializer handles document entities.
`void` | `processAttributes(java.io.Writer writer, int nAttrs)` Process the attributes, which means to write out the currently collected attributes to the writer.
`boolean` | `reset()` Try's to reset the super class and reset this class for re-use, so that you don't need to create a new serializer (mostly for performance reasons).
`void` | `serialize(Node node)` Serializes the DOM node.
`void` | `setCdataSectionElements(java.util.Vector URI_and_localNames)` Remembers the cdata sections specified in the cdata-section-elements.
`void` | `setContentHandler(ContentHandler ch)`
`void` | `setDTDEntityExpansion(boolean expand)` If set to false the serializer does not expand DTD entities, but leaves them as is, the default value is true;
`void` | `setEncoding(java.lang.String encoding)` Sets the character encoding coming from the xsl:output encoding stylesheet attribute.
`boolean` | `setEscaping(boolean escape)`
`void` | `setIndentAmount(int m_indentAmount)` Sets the m_indentAmount.
`boolean` | `setLineSepUse(boolean use_sytem_line_break)` Set if the operating systems end-of-line line separator should be used when serializing.
`void` | `setNewLine(char[] eolChars)` Sets the end of line characters to be used during serialization
`void` | `setOutputFormat(java.util.Properties format)` Specifies an output format for this serializer.
`void` | `setOutputStream(java.io.OutputStream output)` Specifies an output stream to which the document should be serialized.
`void` | `setTransformer(Transformer transformer)`
`void` | `setWriter(java.io.Writer writer)` Specifies a writer to which the document should be serialized.
`void` | `skippedEntity(java.lang.String name)` Receive notification of a skipped entity.
`void` | `startCDATA()` Report the start of a CDATA section.
`void` | `startDTD(java.lang.String name, java.lang.String publicId, java.lang.String systemId)` Report the start of DTD declarations, if any.
`void` | `startElement(java.lang.String elementName)`
`void` | `startElement(java.lang.String elementNamespaceURI, java.lang.String elementLocalName, java.lang.String elementName)` Receive notification of the beginning of an element, additional namespace or attribute information can occur before or after this call, that is associated with this element.
`void` | `startElement(java.lang.String namespaceURI, java.lang.String localName, java.lang.String name, Attributes atts)` Receive notification of the beginning of an element, although this is a SAX method additional namespace or attribute information can occur before or after this call, that is associated with this element.
`void` | `startEntity(java.lang.String name)` Report the beginning of an entity.
`void` | `startNonEscaping()` Starts an un-escaping section.
`void` | `startPrefixMapping(java.lang.String prefix, java.lang.String uri)` Begin the scope of a prefix-URI Namespace mapping just before another element is about to start.
`boolean` | `startPrefixMapping(java.lang.String prefix, java.lang.String uri, boolean shouldFlush)` Handle a prefix/uri mapping, which is associated with a startElement() that is soon to follow.
`void` | `unparsedEntityDecl(java.lang.String name, java.lang.String pubID, java.lang.String sysID, java.lang.String notationName)` If this method is called, the serializer is used as a DTDHandler, which changes behavior how the serializer handles document entities.
`void` | `writeAttrString(java.io.Writer writer, java.lang.String string, java.lang.String encoding)` Returns the specified string after substituting specials, and UTF-16 surrogates for chracter references `&#xnn`.

Methods inherited from class org.apache.xml.serializer.SerializerBase
`addAttribute, addAttribute, addAttribute, addAttributes, addXSLAttribute, asContentHandler, asDOM3Serializer, asDOMSerializer, characters, close, comment, documentIsEmpty, endEntity, entityReference, error, fatalError, fireEndEntity, getDoctypePublic, getDoctypeSystem, getEncoding, getIndent, getMediaType, getNamespaceMappings, getNamespaceURI, getNamespaceURIFromPrefix, getOmitXMLDeclaration, getOutputProperty, getOutputPropertyDefault, getOutputPropertyNonDefault, getPrefix, getStandalone, getTransformer, getVersion, namespaceAfterStartElement, setDoctype, setDoctypePublic, setDoctypeSystem, setDocumentLocator, setIndent, setMediaType, setNamespaceMappings, setOmitXMLDeclaration, setOutputProperty, setOutputPropertyDefault, setSourceLocator, setStandalone, setVersion, startDocument, warning`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToStream

    public ToStream()

  Default constructor

Method Detail

### serialize

    public void serialize(Node node)
                   throws java.io.IOException

  Serializes the DOM node. Throws an exception only if an I/O exception occured while serializing.
  Parameters:
    `node` - Node to serialize.
  Throws:
    java.io.IOException - An I/O exception occured while serializing

### getOutputStream

    public java.io.OutputStream getOutputStream()

  Get the output stream where the events will be serialized to.
  Returns:
    reference to the result stream, or null of only a writer was set.

### elementDecl

    public void elementDecl(java.lang.String name,
                            java.lang.String model)
                     throws SAXException

  Report an element type declaration.

  The content model will consist of the string "EMPTY", the string "ANY", or a parenthesised group, optionally followed by an occurrence indicator. The model will be normalized so that all whitespace is removed,and will include the enclosing parentheses.

  Parameters:
    `name` - The element type name.
    `model` - The content model as a normalized string.
  Throws:
    SAXException - The application may raise an exception.

### internalEntityDecl

    public void internalEntityDecl(java.lang.String name,
                                   java.lang.String value)
                            throws SAXException

  Report an internal entity declaration.

  Only the effective (first) declaration for each entity will be reported.

  Parameters:
    `name` - The name of the entity. If it is a parameter entity, the name will begin with '%'.
    `value` - The replacement text of the entity.
  Throws:
    SAXException - The application may raise an exception.
  See Also:
    `externalEntityDecl(java.lang.String, java.lang.String, java.lang.String)`, `DTDHandler.unparsedEntityDecl(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

### setOutputFormat

    public void setOutputFormat(java.util.Properties format)

  Specifies an output format for this serializer. It the serializer has already been associated with an output format, it will switch to the new format. This method should not be called while the serializer is in the process of serializing a document.
  Parameters:
    `format` - The output format to use

### getOutputFormat

    public java.util.Properties getOutputFormat()

  Returns the output format for this serializer.
  Returns:
    The output format in use

### setWriter

    public void setWriter(java.io.Writer writer)

  Specifies a writer to which the document should be serialized. This method should not be called while the serializer is in the process of serializing a document.
  Parameters:
    `writer` - The output writer stream

### setLineSepUse

    public boolean setLineSepUse(boolean use_sytem_line_break)

  Set if the operating systems end-of-line line separator should be used when serializing. If set false NL character (decimal 10) is left alone, otherwise the new-line will be replaced on output with the systems line separator. For example on UNIX this is NL, while on Windows it is two characters, CR NL, where CR is the carriage-return (decimal 13).
  Parameters:
    `use_sytem_line_break` - True if an input NL is replaced with the operating systems end-of-line separator.
  Returns:
    The previously set value of the serializer.

### setOutputStream

    public void setOutputStream(java.io.OutputStream output)

  Specifies an output stream to which the document should be serialized. This method should not be called while the serializer is in the process of serializing a document.

  The encoding specified in the output properties is used, or if no encoding was specified, the default for the selected output method.

  Parameters:
    `output` - The output stream

### setEscaping

    public boolean setEscaping(boolean escape)

  See Also:
    `SerializationHandler.setEscaping(boolean)`

### attributeDecl

    public void attributeDecl(java.lang.String eName,
                              java.lang.String aName,
                              java.lang.String type,
                              java.lang.String valueDefault,
                              java.lang.String value)
                       throws SAXException

  Report an attribute type declaration.

  Only the effective (first) declaration for an attribute will be reported. The type will be one of the strings "CDATA", "ID", "IDREF", "IDREFS", "NMTOKEN", "NMTOKENS", "ENTITY", "ENTITIES", or "NOTATION", or a parenthesized token group with the separator "|" and all whitespace removed.

  Parameters:
    `eName` - The name of the associated element.
    `aName` - The name of the attribute.
    `type` - A string representing the attribute type.
    `valueDefault` - A string representing the attribute default ("#IMPLIED", "#REQUIRED", or "#FIXED") or null if none of these applies.
    `value` - A string representing the attribute's default value, or null if there is none.
  Throws:
    SAXException - The application may raise an exception.

### getWriter

    public java.io.Writer getWriter()

  Get the character stream where the events will be serialized to.
  Returns:
    Reference to the result Writer, or null.

### externalEntityDecl

    public void externalEntityDecl(java.lang.String name,
                                   java.lang.String publicId,
                                   java.lang.String systemId)
                            throws SAXException

  Report a parsed external entity declaration.

  Only the effective (first) declaration for each entity will be reported.

  Parameters:
    `name` - The name of the entity. If it is a parameter entity, the name will begin with '%'.
    `publicId` - The declared public identifier of the entity, or null if none was declared.
    `systemId` - The declared system identifier of the entity.
  Throws:
    SAXException - The application may raise an exception.
  See Also:
    `internalEntityDecl(java.lang.String, java.lang.String)`, `DTDHandler.unparsedEntityDecl(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

### endNonEscaping

    public void endNonEscaping()
                        throws SAXException

  Ends an un-escaping section.
  Throws:
    SAXException -
  See Also:
    `startNonEscaping()`

### startNonEscaping

    public void startNonEscaping()
                          throws SAXException

  Starts an un-escaping section. All characters printed within an un- escaping section are printed as is, without escaping special characters into entity references. Only XML and HTML serializers need to support this method.

  The contents of the un-escaping section will be delivered through the regular `characters` event.

  Throws:
    SAXException -

### characters

    public void characters(char[] chars,
                           int start,
                           int length)
                    throws SAXException

  Receive notification of character data.

  The Parser will call this method to report each chunk of character data. SAX parsers may return all contiguous character data in a single chunk, or they may split it into several chunks; however, all of the characters in any single event must come from the same external entity, so that the Locator provides useful information.

  The application must not attempt to read from the array outside of the specified range.

  Note that some parsers will report whitespace using the ignorableWhitespace() method rather than this one (validating parsers must do so).

  Parameters:
    `chars` - The characters from the XML document.
    `start` - The start position in the array.
    `length` - The number of characters to read from the array.
  Throws:
    SAXException - Any SAX exception, possibly wrapping another exception.
    SAXException -
  See Also:
    `ignorableWhitespace(char[], int, int)`, `Locator`

### characters

    public void characters(java.lang.String s)
                    throws SAXException

  Receive notification of character data.
  Parameters:
    `s` - The string of characters to process.
  Throws:
    SAXException -

### startElement

    public void startElement(java.lang.String namespaceURI,
                             java.lang.String localName,
                             java.lang.String name,
                             Attributes atts)
                      throws SAXException

  Receive notification of the beginning of an element, although this is a SAX method additional namespace or attribute information can occur before or after this call, that is associated with this element.
  Parameters:
    `namespaceURI` - The Namespace URI, or the empty string if the element has no Namespace URI or if Namespace processing is not being performed.
    `localName` - The local name (without prefix), or the empty string if Namespace processing is not being performed.
    `name` - The element type name.
    `atts` - The attributes attached to the element, if any.
  Throws:
    SAXException - Any SAX exception, possibly wrapping another exception.
    SAXException -
  See Also:
    `ContentHandler.startElement(java.lang.String, java.lang.String, java.lang.String, org.xml.sax.Attributes)`, `ContentHandler.endElement(java.lang.String, java.lang.String, java.lang.String)`, `AttributeList`

### startElement

    public void startElement(java.lang.String elementNamespaceURI,
                             java.lang.String elementLocalName,
                             java.lang.String elementName)
                      throws SAXException

  Receive notification of the beginning of an element, additional namespace or attribute information can occur before or after this call, that is associated with this element.
  Parameters:
    `elementNamespaceURI` - The Namespace URI, or the empty string if the element has no Namespace URI or if Namespace processing is not being performed.
    `elementLocalName` - The local name (without prefix), or the empty string if Namespace processing is not being performed.
    `elementName` - The element type name.
  Throws:
    SAXException - Any SAX exception, possibly wrapping another exception.
    SAXException -
  See Also:
    `ContentHandler.startElement(java.lang.String, java.lang.String, java.lang.String, org.xml.sax.Attributes)`, `ContentHandler.endElement(java.lang.String, java.lang.String, java.lang.String)`, `AttributeList`

### startElement

    public void startElement(java.lang.String elementName)
                      throws SAXException

### processAttributes

    public void processAttributes(java.io.Writer writer,
                                  int nAttrs)
                           throws java.io.IOException,
                                  SAXException

  Process the attributes, which means to write out the currently collected attributes to the writer. The attributes are not cleared by this method
  Parameters:
    `writer` - the writer to write processed attributes to.
    `nAttrs` - the number of attributes in m_attributes to be processed
  Throws:
    java.io.IOException -
    SAXException -

### writeAttrString

    public void writeAttrString(java.io.Writer writer,
                                java.lang.String string,
                                java.lang.String encoding)
                         throws java.io.IOException

  Returns the specified string after substituting specials, and UTF-16 surrogates for chracter references `&#xnn`.
  Parameters:
    `string` - String to convert to XML format.
    `encoding` - CURRENTLY NOT IMPLEMENTED.
  Throws:
    java.io.IOException -

### endElement

    public void endElement(java.lang.String namespaceURI,
                           java.lang.String localName,
                           java.lang.String name)
                    throws SAXException

  Receive notification of the end of an element.
  Parameters:
    `namespaceURI` - The Namespace URI, or the empty string if the element has no Namespace URI or if Namespace processing is not being performed.
    `localName` - The local name (without prefix), or the empty string if Namespace processing is not being performed.
    `name` - The element type name
  Throws:
    SAXException - Any SAX exception, possibly wrapping another exception.
    SAXException -

### endElement

    public void endElement(java.lang.String name)
                    throws SAXException

  Receive notification of the end of an element.
  Parameters:
    `name` - The element type name
  Throws:
    SAXException - Any SAX exception, possibly wrapping another exception.

### startPrefixMapping

    public void startPrefixMapping(java.lang.String prefix,
                                   java.lang.String uri)
                            throws SAXException

  Begin the scope of a prefix-URI Namespace mapping just before another element is about to start. This call will close any open tags so that the prefix mapping will not apply to the current element, but the up comming child.
  Parameters:
    `prefix` - The Namespace prefix being declared.
    `uri` - The Namespace URI the prefix is mapped to.
  Throws:
    SAXException - The client may throw an exception during processing.
  See Also:
    `ContentHandler.startPrefixMapping(java.lang.String, java.lang.String)`

### startPrefixMapping

    public boolean startPrefixMapping(java.lang.String prefix,
                                      java.lang.String uri,
                                      boolean shouldFlush)
                               throws SAXException

  Handle a prefix/uri mapping, which is associated with a startElement() that is soon to follow. Need to close any open start tag to make sure than any name space attributes due to this event are associated wih the up comming element, not the current one.
  Parameters:
    `prefix` - The Namespace prefix being declared.
    `uri` - The Namespace URI the prefix is mapped to.
    `shouldFlush` - true if any open tags need to be closed first, this will impact which element the mapping applies to (open parent, or its up comming child)
  Returns:
    returns true if the call made a change to the current namespace information, false if it did not change anything, e.g. if the prefix/namespace mapping was already in scope from before.
  Throws:
    SAXException - The client may throw an exception during processing.
  See Also:
    `ExtendedContentHandler.startPrefixMapping(java.lang.String, java.lang.String, boolean)`

### comment

    public void comment(char[] ch,
                        int start,
                        int length)
                 throws SAXException

  Receive notification of an XML comment anywhere in the document. This callback will be used for comments inside or outside the document element, including comments in the external DTD subset (if read).
  Parameters:
    `ch` - An array holding the characters in the comment.
    `start` - The starting position in the array.
    `length` - The number of characters to use from the array.
  Throws:
    SAXException - The application may raise an exception.

### endCDATA

    public void endCDATA()
                  throws SAXException

  Report the end of a CDATA section.
  Throws:
    SAXException - The application may raise an exception.
  See Also:
    `startCDATA()`

### endDTD

    public void endDTD()
                throws SAXException

  Report the end of DTD declarations.
  Throws:
    SAXException - The application may raise an exception.
  See Also:
    `startDTD(java.lang.String, java.lang.String, java.lang.String)`

### endPrefixMapping

    public void endPrefixMapping(java.lang.String prefix)
                          throws SAXException

  End the scope of a prefix-URI Namespace mapping.
  Parameters:
    `prefix` - The prefix that was being mapping.
  Throws:
    SAXException - The client may throw an exception during processing.
  See Also:
    `ContentHandler.endPrefixMapping(java.lang.String)`

### ignorableWhitespace

    public void ignorableWhitespace(char[] ch,
                                    int start,
                                    int length)
                             throws SAXException

  Receive notification of ignorable whitespace in element content. Not sure how to get this invoked quite yet.
  Parameters:
    `ch` - The characters from the XML document.
    `start` - The start position in the array.
    `length` - The number of characters to read from the array.
  Throws:
    SAXException - Any SAX exception, possibly wrapping another exception.
    SAXException -
  See Also:
    `characters(char[], int, int)`

### skippedEntity

    public void skippedEntity(java.lang.String name)
                       throws SAXException

  Receive notification of a skipped entity.
  Parameters:
    `name` - The name of the skipped entity. If it is a parameter entity, the name will begin with '%', and if it is the external DTD subset, it will be the string "[dtd]".
  Throws:
    SAXException - Any SAX exception, possibly wrapping another exception.
  See Also:
    `ContentHandler.skippedEntity(java.lang.String)`

### startCDATA

    public void startCDATA()
                    throws SAXException

  Report the start of a CDATA section.
  Throws:
    SAXException - The application may raise an exception.
  See Also:
    `endCDATA()`

### startEntity

    public void startEntity(java.lang.String name)
                     throws SAXException

  Report the beginning of an entity. The start and end of the document entity are not reported. The start and end of the external DTD subset are reported using the pseudo-name "[dtd]". All other events must be properly nested within start/end entity events.
  Parameters:
    `name` - The name of the entity. If it is a parameter entity, the name will begin with '%'.
  Throws:
    SAXException - The application may raise an exception.
  See Also:
    `SerializerBase.endEntity(java.lang.String)`, `DeclHandler.internalEntityDecl(java.lang.String, java.lang.String)`, `DeclHandler.externalEntityDecl(java.lang.String, java.lang.String, java.lang.String)`

### startDTD

    public void startDTD(java.lang.String name,
                         java.lang.String publicId,
                         java.lang.String systemId)
                  throws SAXException

  Report the start of DTD declarations, if any. Any declarations are assumed to be in the internal subset unless otherwise indicated.
  Parameters:
    `name` - The document type name.
    `publicId` - The declared public identifier for the external DTD subset, or null if none was declared.
    `systemId` - The declared system identifier for the external DTD subset, or null if none was declared.
  Throws:
    SAXException - The application may raise an exception.
  See Also:
    `endDTD()`, `startEntity(java.lang.String)`

### getIndentAmount

    public int getIndentAmount()

  Returns the m_indentAmount.
  Returns:
    int
  Overrides:
    getIndentAmount in class SerializerBase

### setIndentAmount

    public void setIndentAmount(int m_indentAmount)

  Sets the m_indentAmount.
  Parameters:
    `m_indentAmount` - The m_indentAmount to set
  Overrides:
    setIndentAmount in class SerializerBase

### setCdataSectionElements

    public void setCdataSectionElements(java.util.Vector URI_and_localNames)

  Remembers the cdata sections specified in the cdata-section-elements. The "official way to set URI and localName pairs. This method should be used by both Xalan and XSLTC.
  Parameters:
    `URI_and_localNames` - a vector of pairs of Strings (URI/local)

### flushPending

    public void flushPending()
                      throws SAXException

  This method flushes any pending events, which can be startDocument() closing the opening tag of an element, or closing an open CDATA section.

### setContentHandler

    public void setContentHandler(ContentHandler ch)

### addAttributeAlways

    public boolean addAttributeAlways(java.lang.String uri,
                                      java.lang.String localName,
                                      java.lang.String rawName,
                                      java.lang.String type,
                                      java.lang.String value,
                                      boolean xslAttribute)

  Adds the given attribute to the set of attributes, even if there is no currently open element. This is useful if a SAX startPrefixMapping() should need to add an attribute before the element name is seen. This method is a copy of its super classes method, except that some tracing of events is done. This is so the tracing is only done for stream serializers, not for SAX ones.
  Parameters:
    `uri` - the URI of the attribute
    `localName` - the local name of the attribute
    `rawName` - the qualified name of the attribute
    `type` - the type of the attribute (probably CDATA)
    `value` - the value of the attribute
    `xslAttribute` - true if this attribute is coming from an xsl:attribute element.
  Returns:
    true if the attribute value was added, false if the attribute already existed and the value was replaced with the new value.
  Overrides:
    addAttributeAlways in class SerializerBase

### setTransformer

    public void setTransformer(Transformer transformer)

  Overrides:
    setTransformer in class SerializerBase
  See Also:
    `SerializationHandler.setTransformer(Transformer)`

### reset

    public boolean reset()

  Try's to reset the super class and reset this class for re-use, so that you don't need to create a new serializer (mostly for performance reasons).
  Returns:
    true if the class was successfuly reset.
  Overrides:
    reset in class SerializerBase

### setEncoding

    public void setEncoding(java.lang.String encoding)

  Sets the character encoding coming from the xsl:output encoding stylesheet attribute.
  Parameters:
    `encoding` - the character encoding
  Overrides:
    setEncoding in class SerializerBase

### notationDecl

    public void notationDecl(java.lang.String name,
                             java.lang.String pubID,
                             java.lang.String sysID)
                      throws SAXException

  If this method is called, the serializer is used as a DTDHandler, which changes behavior how the serializer handles document entities.
  Overrides:
    notationDecl in class SerializerBase
  See Also:
    `DTDHandler.notationDecl(java.lang.String, java.lang.String, java.lang.String)`

### unparsedEntityDecl

    public void unparsedEntityDecl(java.lang.String name,
                                   java.lang.String pubID,
                                   java.lang.String sysID,
                                   java.lang.String notationName)
                            throws SAXException

  If this method is called, the serializer is used as a DTDHandler, which changes behavior how the serializer handles document entities.
  Overrides:
    unparsedEntityDecl in class SerializerBase
  See Also:
    `DTDHandler.unparsedEntityDecl(java.lang.String, java.lang.String, java.lang.String, java.lang.String)`

### setDTDEntityExpansion

    public void setDTDEntityExpansion(boolean expand)

  If set to false the serializer does not expand DTD entities, but leaves them as is, the default value is true;
  Overrides:
    setDTDEntityExpansion in class SerializerBase

### setNewLine

    public void setNewLine(char[] eolChars)

  Sets the end of line characters to be used during serialization
  Parameters:
    `eolChars` - A character array corresponding to the characters to be used.

### addCdataSectionElements

    public void addCdataSectionElements(java.lang.String URI_and_localNames)

  Remembers the cdata sections specified in the cdata-section-elements by appending the given cdata section elements to the list. This method can be called multiple times, but once an element is put in the list of cdata section elements it can not be removed. This method should be used by both Xalan and XSLTC.
  Parameters:
    `URI_and_localNames` - a whitespace separated list of element names, each element is a URI in curly braces (optional) and a local name. An example of such a parameter is: "{http://company.com}price {myURI2}book chapter"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.